#ifndef WATCHY_RTC_H
#define WATCHY_RTC_H

#include "config.h"
#include <Arduino.h>
#include <TimeLib.h>
#include <Rtc_Pcf8563.h>

#define RTC_PCF_ADDR    0x51
#define YEAR_OFFSET_PCF 2000

class WatchyRTC {
public:
  Rtc_Pcf8563 rtc_pcf;

public:
  WatchyRTC();
  void init();
  void config(String datetime); // String datetime format is YYYY:MM:DD:HH:MM:SS
  void clearAlarm();
  void read(tmElements_t & tm, int offsetInSeconds = 0);
  void set(tmElements_t tm);

  static void OffsetTime(tmElements_t & tm, int offsetInSeconds);

private:
  void _PCFConfig(String datetime);
  String _getValue(String data, char separator, int index);
};

#endif